name: Datadog agent on k8's
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - datadog-agent
    traits:
      meshmap:
        edges: []
        id: 841cef26-db29-43a5-8906-8a01543263d6
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 92ca2d36-aed9-48d5-80b3-8b54249a212f
        position:
          posX: 58
          posY: 31
        whiteboardData: {}
  datadog-agent:
    name: datadog-agent
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    labels:
      app: datadog
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app: datadog
        template:
          metadata:
            labels:
              app: datadog
          spec:
            containers:
            - env:
              - name: DD_API_KEY
                value: <YOUR_DATADOG_API_KEY>
              image: datadog/agent:latest
              name: datadog-agent
              volume Mounts:
              - mount Path: /etc/datadog-agent
                name: datadog-agent-config
            volumes:
            - config Map:
                name: datadog-agent-config
              name: datadog-agent-config
    traits:
      meshmap:
        edges: []
        id: 92ca2d36-aed9-48d5-80b3-8b54249a212f
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 58
          posY: 31
        whiteboardData:
          style: {}
  datadog-agent-service:
    name: datadog-agent-service
    type: Service
    apiVersion: v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        ports:
        - name: udp-metrics
          port: 8125
          protocol: UDP
          target Port: 8125
        - name: dogstatsd
          port: 8126
          protocol: UDP
          target Port: 8126
        - name: trace-agent
          port: 8127
          protocol: TCP
          target Port: 8127
        - name: apm-http
          port: 8128
          protocol: TCP
          target Port: 8128
        - name: apm-statsd
          port: 8129
          protocol: UDP
          target Port: 8129
        selector:
          app: datadog
    traits:
      meshmap:
        edges: []
        id: 93346e3b-7fcb-4a3b-ba54-4dadefde0f00
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          styleOverrides:
            background-position-y: 4.5
            height: 20
            padding: 12
            width: 20
            x: 10px
            "y": 12px
            z-index: 3
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: -23
          posY: 0
        whiteboardData:
          style: {}
